Bug 504080 - MegaRAID SAS 1078 tape I/O errors when using mt erase
Summary: MegaRAID SAS 1078 tape I/O errors when using mt erase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 4.9
Assignee: Tomas Henzl
QA Contact: Evan McNabb
URL:
Whiteboard:
Depends On:
Blocks: 517965
TreeView+ depends on / blocked
 
Reported: 2009-06-04 05:03 UTC by Mark Goodwin
Modified: 2018-11-14 18:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Time-outs resulted in I/O errors being logged to "/var/log/messages" when running "mt erase" on tape drives using certain LSI MegaRAID SAS adapters, preventing the command from completing. The megaraid_sas driver's timeout value is now set to the OS layer value.
Clone Of:
Environment:
Last Closed: 2011-02-16 15:24:26 UTC


Attachments (Terms of Use)
fix megaraid sas tape errors (774 bytes, patch)
2009-06-04 05:03 UTC, Mark Goodwin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Description Mark Goodwin 2009-06-04 05:03:01 UTC
Created attachment 346492 [details]
fix megaraid sas tape errors

Description of problem:

Megaraid SAS tape I/O errors on 'mt erase'. This is being fixed for RHEL5.4
vi BZ 475574, but that includes a full driver update - for RHEL4, we just
want the patch attached to this BZ to address the issues in the related IT.

How reproducible: always
Steps to Reproduce: 'mt erase'  fails with I/O errors reported in syslog

The customer has verified the attached patch against 2.6.9-89.EL
fixes the issue on RHEL4.

Comment 6 Tomas Henzl 2009-07-02 14:47:48 UTC
Mark,
I've started a brew build with patch http://brewweb.devel.redhat.com/brew/taskinfo?taskID=1871969
Since I can't test it myself I'll then post a patched kernel here and ask you for verifying this.

Comment 7 RHEL Product and Program Management 2009-07-02 15:03:49 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Tomas Henzl 2009-07-03 12:31:48 UTC
Mark,
the patched kernel is here  http://people.redhat.com/thenzl/504080/
Please verify that it resolves the issue.
Thanks,
Tomas

Comment 10 Tomas Henzl 2009-07-09 11:49:11 UTC
Thanks Mark,
posted today - http://post-office.corp.redhat.com/archives/rhkernel-list/2009-July/msg00312.html

Comment 12 Vivek Goyal 2009-08-19 14:45:23 UTC
Committed in 89.10.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 18 Douglas Silas 2011-01-30 23:44:33 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Time-outs resulted in I/O errors being logged to "/var/log/messages" when running "mt erase" on tape drives using certain LSI MegaRAID SAS adapters, preventing the command from completing. The megaraid_sas driver's timeout value is now set to the OS layer value.

Comment 19 errata-xmlrpc 2011-02-16 15:24:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.